Skip to content

getInspections

READ

Get inspections.

POST /api/v1/quality/getInspections
curl -X POST '<your-host>/api/v1/quality/getInspections' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "args": {}
  }'
Response
{
  "results": [
    {
      "acceptanceNumber": 0,
      "aql": 0,
      "codeLetter": "string",
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "dispositionedAt": "string",
      "dispositionedBy": "string",
      "id": "string",
      "inspectionDocumentId": "string",
      "inspectionId": "string",
      "inspectionLevel": "I",
      "itemId": "string",
      "itemReadableId": "string",
      "lotSize": 0,
      "notes": "string",
      "rejectionNumber": 0,
      "sampleSize": 0,
      "samplingPlanType": "All",
      "samplingStandard": "ANSI_Z1_4",
      "severity": "Normal",
      "sourceDocument": "Receipt",
      "sourceDocumentId": "string",
      "sourceDocumentLineId": "string",
      "sourceDocumentReadableId": "string",
      "status": "Pending",
      "supplierId": "string",
      "updatedAt": "string",
      "updatedBy": "string",
      "item": {
        "readableId": "string",
        "name": "string"
      },
      "supplier": {
        "name": "string"
      },
      "inspectionSample": [
        {
          "status": "Pending"
        }
      ]
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": [
            "string",
            "null"
          ]
        },
        "status": {
          "type": [
            "string",
            "null"
          ]
        },
        "source": {
          "type": [
            "string",
            "null"
          ]
        }
      }
    }
  }
}